libebook::FB2ExtrasCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2ExtrasCollector Class Reference

`#include <FB2ExtrasCollector.h>`

Inheritance diagram for libebook::FB2ExtrasCollector:

## Public Member Functions
| FB2ExtrasCollector (FB2ContentMap &notes, FB2ContentMap &bitmaps)
virtual | ~FB2ExtrasCollector ()
Public Member Functions inherited from libebook::FB2Collector
virtual | ~FB2Collector ()=0

## Private Member Functions
| FB2ExtrasCollector (const FB2ExtrasCollector &other)
FB2ExtrasCollector & | operator= (const FB2ExtrasCollector &other)
virtual void | defineMetadataEntry (const char *name, const char *value)
virtual void | openMetadataEntry (const char *name)
virtual void | closeMetadataEntry ()
virtual void | defineID (const char *)
virtual void | openPageSpan ()
virtual void | closePageSpan ()
virtual void | openBlock ()
virtual void | closeBlock ()
virtual void | openParagraph (const FB2BlockFormat &format)
virtual void | closeParagraph ()
virtual void | openSpan (const FB2Style &style)
virtual void | closeSpan ()
virtual void | insertText (const char *text)
virtual void | openTable (const FB2BlockFormat &format)
virtual void | closeTable ()
virtual void | openTableRow (const FB2BlockFormat &format)
virtual void | closeTableRow ()
virtual void | openTableCell (int rowspan, int colspan)
virtual void | closeTableCell ()
virtual void | insertCoveredTableCell ()
virtual void | insertFootnote (const char *id)
virtual void | insertBitmap (const char *id)
virtual void | insertBitmapData (const char *contentType, const char *base64Data)
void | flushCurrentNote ()
bool | isInNote () const

## Private Attributes
FB2ContentMap & | m_notes
FB2ContentMap & | m_bitmaps
std::string | m_currentID
GroupContent * | m_currentNote
GroupContent * | m_currentPara
const FB2Style * | m_currentStyle

## Constructor & Destructor Documentation

## § FB2ExtrasCollector() [1/2]

libebook::FB2ExtrasCollector::FB2ExtrasCollector | ( | const FB2ExtrasCollector & | other | ) |
| private

## § FB2ExtrasCollector() [2/2]

libebook::FB2ExtrasCollector::FB2ExtrasCollector | ( | FB2ContentMap & | notes,
|  | FB2ContentMap & | bitmaps
| ) |  |

## § ~FB2ExtrasCollector()

libebook::FB2ExtrasCollector::~FB2ExtrasCollector | ( |  | ) |
| virtual

## Member Function Documentation

## § closeBlock()

void libebook::FB2ExtrasCollector::closeBlock | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeMetadataEntry()

void libebook::FB2ExtrasCollector::closeMetadataEntry | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closePageSpan()

void libebook::FB2ExtrasCollector::closePageSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeParagraph()

void libebook::FB2ExtrasCollector::closeParagraph | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeSpan()

void libebook::FB2ExtrasCollector::closeSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeTable()

void libebook::FB2ExtrasCollector::closeTable | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeTableCell()

void libebook::FB2ExtrasCollector::closeTableCell | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § closeTableRow()

void libebook::FB2ExtrasCollector::closeTableRow | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § defineID()

void libebook::FB2ExtrasCollector::defineID | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § defineMetadataEntry()

void libebook::FB2ExtrasCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

## § flushCurrentNote()

void libebook::FB2ExtrasCollector::flushCurrentNote | ( |  | ) |
| private

Referenced by defineID(), and ~FB2ExtrasCollector().

## § insertBitmap()

void libebook::FB2ExtrasCollector::insertBitmap | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § insertBitmapData()

void libebook::FB2ExtrasCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

## § insertCoveredTableCell()

void libebook::FB2ExtrasCollector::insertCoveredTableCell | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § insertFootnote()

void libebook::FB2ExtrasCollector::insertFootnote | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § insertText()

void libebook::FB2ExtrasCollector::insertText | ( | const char * | text | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § isInNote()

bool libebook::FB2ExtrasCollector::isInNote | ( |  | ) | const
| private

Referenced by closeParagraph(), closeSpan(), flushCurrentNote(), insertText(), openParagraph(), and openSpan().

## § openBlock()

void libebook::FB2ExtrasCollector::openBlock | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openMetadataEntry()

void libebook::FB2ExtrasCollector::openMetadataEntry | ( | const char * | name | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openPageSpan()

void libebook::FB2ExtrasCollector::openPageSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openParagraph()

void libebook::FB2ExtrasCollector::openParagraph | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openSpan()

void libebook::FB2ExtrasCollector::openSpan | ( | const FB2Style & | style | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openTable()

void libebook::FB2ExtrasCollector::openTable | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § openTableCell()

void libebook::FB2ExtrasCollector::openTableCell | ( | int | rowspan,
|  | int | colspan
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

## § openTableRow()

void libebook::FB2ExtrasCollector::openTableRow | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

## § operator=()

FB2ExtrasCollector& libebook::FB2ExtrasCollector::operator= | ( | const FB2ExtrasCollector & | other | ) |
| private

## Member Data Documentation

## § m_bitmaps

FB2ContentMap& libebook::FB2ExtrasCollector::m_bitmaps
| private

Referenced by insertBitmapData().

## § m_currentID

std::string libebook::FB2ExtrasCollector::m_currentID
| private

Referenced by defineID(), flushCurrentNote(), insertBitmapData(), and isInNote().

## § m_currentNote

GroupContent* libebook::FB2ExtrasCollector::m_currentNote
| private

Referenced by closeParagraph(), defineID(), flushCurrentNote(), and isInNote().

## § m_currentPara

GroupContent* libebook::FB2ExtrasCollector::m_currentPara
| private

Referenced by closeParagraph(), flushCurrentNote(), insertText(), and openParagraph().

## § m_currentStyle

const FB2Style* libebook::FB2ExtrasCollector::m_currentStyle
| private

Referenced by closeSpan(), flushCurrentNote(), insertText(), and openSpan().

## § m_notes

FB2ContentMap& libebook::FB2ExtrasCollector::m_notes
| private

Referenced by flushCurrentNote().

The documentation for this class was generated from the following files:

- FB2ExtrasCollector.h
- FB2ExtrasCollector.cpp